com.genesyslab.wfm7.API.service.builder760

## Class QueueInfoHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.builder760.QueueInfoHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class QueueInfoHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `buildPendingCount`
    `private RequestInfoHolder` | `currentRequestInfo`
    `private int` | `finishedCount`
    `private int` | `writePendingCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInfoHolder()`
    `QueueInfoHolder(int buildPendingCount, int writePendingCount, int finishedCount, RequestInfoHolder currentRequestInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getBuildPendingCount()` Gets the buildPendingCount value for this QueueInfoHolder.
    `RequestInfoHolder` | `getCurrentRequestInfo()` Gets the currentRequestInfo value for this QueueInfoHolder.
    `int` | `getFinishedCount()` Gets the finishedCount value for this QueueInfoHolder.
    `int` | `getWritePendingCount()` Gets the writePendingCount value for this QueueInfoHolder.
    `int` | `hashCode()`
    `void` | `setBuildPendingCount(int buildPendingCount)` Sets the buildPendingCount value for this QueueInfoHolder.
    `void` | `setCurrentRequestInfo(RequestInfoHolder currentRequestInfo)` Sets the currentRequestInfo value for this QueueInfoHolder.
    `void` | `setFinishedCount(int finishedCount)` Sets the finishedCount value for this QueueInfoHolder.
    `void` | `setWritePendingCount(int writePendingCount)` Sets the writePendingCount value for this QueueInfoHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buildPendingCount

          private int buildPendingCount

    - #### writePendingCount

          private int writePendingCount

    - #### finishedCount

          private int finishedCount

    - #### currentRequestInfo

          private RequestInfoHolder currentRequestInfo

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### QueueInfoHolder

          public QueueInfoHolder()

    - #### QueueInfoHolder

          public QueueInfoHolder(int buildPendingCount,
                         int writePendingCount,
                         int finishedCount,
                         RequestInfoHolder currentRequestInfo)

  - ### Method Detail

    - #### getBuildPendingCount

          public int getBuildPendingCount()

      Gets the buildPendingCount value for this QueueInfoHolder.
      Returns:
        buildPendingCount

    - #### setBuildPendingCount

          public void setBuildPendingCount(int buildPendingCount)

      Sets the buildPendingCount value for this QueueInfoHolder.
      Parameters:
        `buildPendingCount` -

    - #### getWritePendingCount

          public int getWritePendingCount()

      Gets the writePendingCount value for this QueueInfoHolder.
      Returns:
        writePendingCount

    - #### setWritePendingCount

          public void setWritePendingCount(int writePendingCount)

      Sets the writePendingCount value for this QueueInfoHolder.
      Parameters:
        `writePendingCount` -

    - #### getFinishedCount

          public int getFinishedCount()

      Gets the finishedCount value for this QueueInfoHolder.
      Returns:
        finishedCount

    - #### setFinishedCount

          public void setFinishedCount(int finishedCount)

      Sets the finishedCount value for this QueueInfoHolder.
      Parameters:
        `finishedCount` -

    - #### getCurrentRequestInfo

          public RequestInfoHolder getCurrentRequestInfo()

      Gets the currentRequestInfo value for this QueueInfoHolder.
      Returns:
        currentRequestInfo

    - #### setCurrentRequestInfo

          public void setCurrentRequestInfo(RequestInfoHolder currentRequestInfo)

      Sets the currentRequestInfo value for this QueueInfoHolder.
      Parameters:
        `currentRequestInfo` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.